.TH wxStaticLine 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxStaticLine \- See external documentation: wxStaticLine\&.
.SH DESCRIPTION
.LP
See external documentation: wxStaticLine <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticline\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxStaticLine()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxStaticLine()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticline\&.html#wxstaticlinewxstaticline>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxStaticLine()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxStaticLine()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticline\&.html#wxstaticlinewxstaticline>\&.
.RE
.LP
.B
create(This::wxStaticLine(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxStaticLine(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticline\&.html#wxstaticlinecreate>\&.
.RE
.LP
.B
isVertical(This::wxStaticLine()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticline\&.html#wxstaticlineisvertical>\&.
.RE
.LP
.B
getDefaultSize() -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxstaticline\&.html#wxstaticlinegetdefaultsize>\&.
.RE
.LP
.B
destroy(This::wxStaticLine()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
